/* #Reset default styles - start
   ========================================================================== */

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font,
ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td {
    background: transparent;
    border: 0;
    margin: 0;
    padding: 0;
    vertical-align: baseline;
    outline: none;
}

article, aside, details, figcaption, figure, footer, header, nav, section {
    display: block;
}

del {
    text-decoration: line-through;
}

/* tables still need 'cellspacing="0"' in the markup */
table {
    border-collapse: collapse;
    border-spacing: 0;
    border: medium none;
    vertical-align: middle;
}

table th {
    border: 0;
    padding: 5px 7px;
    text-align: center;
}

table td {
    padding: 5px 10px;
    text-align: center;
}

a img {
    border: none;
}

img, .wp-caption {
    max-width: 100%;
    height: auto;
}

iframe {
    max-width: 100%;
}

/* #Reset default styles - end
   ========================================================================== */

/* #General styles that are used in our theme - start
 * Here are defined global styles on body element, on container elements that hold every page,
 * headings and links, inputs, core wp styles and default pagination styles
   ========================================================================== */

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

.clear:after {
    clear: both;
    content: "";
    display: block;
}

html {
    overflow-y: scroll !important; /* for vertical split screen slider shortcode on touch devices */
}

body {
    font-family: $default-text-font;
    font-weight: 400;
    font-size: 15px;
    line-height: 26px;
    color: $default-text-color;
    background-color: $default-background-color;
    overflow-x: hidden !important;
    -webkit-font-smoothing: antialiased;
}

h1 {
    font-size: 45px;
    line-height: 1.33em;
}

h2 {
    font-size: 37px;
    line-height: 1.35em;
}

h3 {
    font-size: 30px;
    line-height: 1.5em;
}

h4 {
    font-size: 22px;
    line-height: 1.5em;
}

h5 {
    font-size: 16px;
    line-height: 1.5em;
}

h6 {
	font-size: 14px;
    line-height: 1.93em;
    font-family: $default-text-font;
    font-weight: 600;
    color: $default-heading-color;
    margin: 20px 0;
}

h1, h2, h3, h4, h5 {
    font-family: $default-heading-font;
    margin: 20px 0;
    color: $default-heading-color;
    font-weight: 700;
    
    a {
        @include mkdfTypographyLayout();
        
        &:hover {
            color: $first-main-color;
        }
    }
}

a,
p a {
    color: $default-heading-color;
    text-decoration: none;
    @include mkdfTransition(color .2s ease-out);

    &:hover {
        color: $first-main-color;
    }
}

p {
    margin: 10px 0;
}

input[type='submit'] {
    -webkit-appearance: none;
}

ul, ol {
    list-style-position: inside;
    margin: 15px 0;
}

ul ul,
ol ol,
ol ul,
ul ol {
    margin: 0;
    padding: 0 0 0 15px;
}

pre {
    background-color: $default-background-color;
    padding: 15px;
    max-width: 100%;
    white-space: pre-wrap;
    word-wrap: break-word;
    margin: 15px 0;
}

dt {
    font-size: 15px;
    font-weight: bold;
    margin-bottom: 10px;
}

dd {
    margin-bottom: 15px;
}

sub, sup {
    font-size: 75%;
    height: 0;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sub {
    top: 0.5ex;
}

sup {
    bottom: 0.5ex;
}

.wp-caption-text {
    margin: 0;
    font-style: italic;
}

table {
    width: 100%;
}

table thead tr, table tbody tr {
    border: 1px solid $default-border-color;
}

table tbody th {
    border-right: 1px solid $default-border-color;
}

blockquote {
    @include mkdfRelativeHolderLayout();
    margin: 10px 0;
    padding: 0 40px;
    font-size: 20px;
    font-family: $default-heading-font;
    font-weight: 700;
    font-style: italic;
    line-height: 37px;
    text-align: left;
    quotes: none;
    box-sizing: border-box;
    color: $first-main-color;

    > * {
        @include mkdfTypographyLayout();
        margin: 0;
    }

    &:before,
    &:after {
        content: '';
    }

	cite {
		font-style: normal;
		font-weight: 400;
	}

    p {

        display: table;

        &:before {
            font-family: 'ElegantIcons';
            content: "\7b";
            display: table-cell;
            width: 1%;
            padding: 0 10px 0 0;
            font-size: 72px;
            line-height: 72px;
            font-weight: 400;
            color: $first-main-color;
            vertical-align: top;
            position: relative;
            top: -10px;
            font-style: normal;
        }
    }
}

/* Webkit */
::selection {
    background: $first-main-color;
    color: $default-background-color;
}

/* Gecko/Mozilla */
::-moz-selection {
    background: $first-main-color;
    color: $default-background-color;
}

.wp-caption,
.wp-caption-text,
.sticky,
.gallery-caption,
.bypostauthor {
    opacity: 1;
}

.alignleft {
    float: left;
    margin: 0 20px 20px 0;
}

.alignright {
    float: right;
    margin: 0 0 20px 20px;
}

.aligncenter {
    display: block;
    margin: 10px auto;
}

.alignwide {
    margin-left: auto;
    margin-right: auto;
    clear: both;
}

@include ipad-landscape {
    .alignwide {
        width: 100%;
        max-width: 100%;
    }
}

.alignfull {
    position: relative;
    left: -1rem;
    width: calc( 100% + (2 * 1rem));
    max-width: calc( 100% + (2 * 1rem));
    clear: both;
}

@include ipad-landscape {
    .alignfull {
        left: calc( -12.5% - 75px);
        width: calc( 125% + 150px);
        max-width: calc( 125% + 150px);
        margin-top: calc(2 * 1rem);
        margin-bottom: calc(2 * 1rem);
    }
}

.text-align-right {
    text-align: right;
}

.text-align-left {
    text-align: left;
}

.text-align-center {
    text-align: center;
}

.mkdf-wrapper {
    position: relative;
    left: 0;
    z-index: 1000;

    .mkdf-wrapper-inner {
        width: 100%;
        overflow: hidden;
    }
}

.mkdf-content {
    position: relative;
    margin-top: 0;
    z-index: 100;
    background-color: $default-background-color; /*this is needed because of the uncovering footer*/
}

.mkdf-boxed {
    overflow: hidden !important; /* this is because content jumping while using accordion and display:inline-block on 'body.mkdf-boxed .mkdf-wrapper'   */

    .mkdf-wrapper {
        display: inline-block;
        vertical-align: middle;
        width: 100%;
    
        .touch & {
            background-repeat: repeat;
        }
        
        .mkdf-wrapper-inner {
            width: $grid-width-boxed;
            overflow: visible;
            margin: auto;
        }
    }

    .mkdf-content {
        overflow: hidden;
    }

    .mkdf-footer-inner {
        width: $grid-width-boxed;
        margin: auto;
    }

    .mkdf-page-header .mkdf-sticky-header,
    .mkdf-page-header .mkdf-fixed-wrapper.fixed {
        width: $grid-width-boxed;
        left: auto;
    }
}

.mkdf-paspartu-enabled {

    .mkdf-wrapper {
        padding: 10px;
        background-color: #fff;
        box-sizing: border-box;
    }

    &.mkdf-top-paspartu-disabled {

        .mkdf-wrapper {
            padding-top: 0 !important;
        }
    }
}

.mkdf-smooth-transition-loader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2000;
    background-color: #fff;
}

.mkdf-container {
    background-color: #fff; //beacuse of the Mikado Slider, since content have to go over it
    position: relative;
    padding: 0;
    width: 100%;
    z-index: 100;

    &:before {
        content: " ";
        display: table;
    }

    &:after {
        content: " ";
        display: table;
        clear: both;
    }
}

body {
    &.woocommerce-account,
    &.page-template-user-dashboard,
    &.woocommerce-cart,
    &.woocommerce-checkout {
        .mkdf-content {
            background-color: #fff;
        }
    }
}

.mkdf-container-inner { //not in parent selector since this class is used for positioning other elements in grid
    width: $grid-width;
    margin: 0 auto;
}

.mkdf-full-width {
    position: relative;
    z-index: 100;
}

.mkdf-content .mkdf-content-inner > .mkdf-container > .mkdf-container-inner,
.mkdf-content .mkdf-content-inner > .mkdf-full-width > .mkdf-full-width-inner {
	padding-top: 40px; // default value for content top padding
}

@media only screen and (min-width: 1400px) {

    .mkdf-grid-1300 {

        .mkdf-grid,
        .mkdf-container-inner,
        .mkdf-row-grid-section,
        .mkdf-footer-top-border-holder.mkdf-in-grid,
        .mkdf-footer-bottom-border-holder.mkdf-in-grid {
            width: $grid-width-1300;
        }
    }

    .mkdf-grid-1300.mkdf-boxed {

        .mkdf-footer-inner,
        .mkdf-wrapper-inner {
            width: $grid-width-1300 + 50px;
        }

        .mkdf-page-header .mkdf-sticky-header,
        .mkdf-page-header .mkdf-fixed-wrapper.fixed {
            width: $grid-width-1300 + 50px;
            left: auto;
        }
    }
}

@media only screen and (min-width: 1300px) {

    .mkdf-grid-1200 {

        .mkdf-grid,
        .mkdf-container-inner,
        .mkdf-row-grid-section,
        .mkdf-footer-top-border-holder.mkdf-in-grid,
        .mkdf-footer-bottom-border-holder.mkdf-in-grid {
            width: $grid-width-1200;
        }
    }

    .mkdf-grid-1200.mkdf-boxed {

        .mkdf-footer-inner,
        .mkdf-wrapper-inner {
            width: $grid-width-1200 + 50px;
        }

        .mkdf-page-header .mkdf-sticky-header,
        .mkdf-page-header .mkdf-fixed-wrapper.fixed {
            width: $grid-width-1200 + 50px;
            left: auto;
        }
    }
}

@media only screen and (min-width: 1200px) {

    .mkdf-grid-1000 {

        .mkdf-grid,
        .mkdf-container-inner,
        .mkdf-row-grid-section,
        .mkdf-footer-top-border-holder.mkdf-in-grid,
        .mkdf-footer-bottom-border-holder.mkdf-in-grid {
            width: $grid-width-1000;
        }
    }

    .mkdf-grid-1000.mkdf-boxed {

        .mkdf-footer-inner,
        .mkdf-wrapper-inner {
            width: $grid-width-1000 + 50px;
        }

        .mkdf-page-header .mkdf-sticky-header,
        .mkdf-page-header .mkdf-fixed-wrapper.fixed {
            width: $grid-width-1000 + 50px;
            left: auto;
        }
    }
}

@media only screen and (min-width: 1024px) {
    .mkdf-grid-800 {

        .mkdf-grid,
        .mkdf-container-inner,
        .mkdf-row-grid-section,
        .mkdf-footer-top-border-holder.mkdf-in-grid,
        .mkdf-footer-bottom-border-holder.mkdf-in-grid {
            width: $grid-width-800;
        }
    }

    .mkdf-grid-800.mkdf-boxed {

        .mkdf-footer-inner,
        .mkdf-wrapper-inner {
            width: $grid-width-800 + 50px;
        }

        .mkdf-page-header .mkdf-sticky-header,
        .mkdf-page-header .mkdf-fixed-wrapper.fixed {
            width: $grid-width-800 + 50px;
            left: auto;
        }
    }
}

/* #General styles that are used in our theme - end
   ========================================================================== */

@include keyframes(preload-background) {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 100% 0;
    }
}

.mkdf-preload-background {
    background-color: transparent !important;
    background-image: url('../img/preload_pattern.png') !important;
    background-repeat: repeat !important;
    background-attachment: scroll !important;
    background-size: inherit !important;
    @include animation(preload-background, 40s, infinite, linear, 0s);
}

.mkdf-grid {
    width: $grid-width;
    margin: 0 auto;
}

.mkdf-vertical-align-containers {
    position: relative;
    height: 100%;
    width: 100%;
    padding: 0 20px;
    box-sizing: border-box;

    &.mkdf-25-50-25 {

        .mkdf-position-left,
        .mkdf-position-right {
            width: 25%;
        }

        .mkdf-position-center {
            width: 50%;
            left: 50%;
            -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
        }

    }

    &.mkdf-33-33-33 {

        .mkdf-position-left,
        .mkdf-position-center,
        .mkdf-position-right {
            width: 33.33%;
        }

        .mkdf-position-center {
            width: 50%;
            left: 50%;
            -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
        }

    }

    &.mkdf-50-50 {

        .mkdf-position-left,
        .mkdf-position-right {
            width: 50%;
        }

    }

    &.mkdf-33-66 {
        .mkdf-position-left {
            width: 33.33%;
        }

        .mkdf-position-right {
            width: 66.66%;
        }
    }

    &.mkdf-66-33 {
        .mkdf-position-left {
            width: 66.66%;
        }

        .mkdf-position-right {
            width: 33.33%;
        }
    }

    .mkdf-position-left {
        position: relative;
        float: left;
        z-index: 2;
        height: 100%;
    }
    .mkdf-position-center {
        height: 100%;
        width: 100%;
        position: absolute;
        left: 0;
        text-align: center;
        z-index: 1;
    }

    .mkdf-position-right {
        position: relative;
        float: right;
        z-index: 2;
        height: 100%;
        text-align: right;
    }

    .mkdf-position-left-inner,
    .mkdf-position-center-inner,
    .mkdf-position-right-inner {
        vertical-align: middle;
        display: inline-block;
    }
    .mkdf-position-right.mkdf-has-widget .mkdf-position-right-inner {
        height: 100%;
    }

    .mkdf-position-left:before,
    .mkdf-position-center:before,
    .mkdf-position-right:before {
        content: "";
        display: inline-block;
        vertical-align: middle;
        height: 100%;
        margin-right: -3px; /* adjusts for spacing */
    }
}

/* ==========================================================================
   #Row styles - start
   ========================================================================== */

.wpb_row,
.wpb_content_element,
ul.wpb_thumbnails-fluid > li,
.last_toggle_el_margin, .wpb_button {
	margin-bottom: 0 !important; // important is in order to prevent visual composer styles in all cases
}

.vc_row {
	
	.wpb_gmaps_widget .wpb_wrapper {
		padding: 0;
		background-color: transparent;
	}
}

.mkdf-row-grid-section {
	position: relative;
	width: 1100px;
	margin: 0 auto;
	z-index: 20;
}

.mkdf-content-aligment-left {
	text-align: left;
}

.mkdf-content-aligment-center {
	text-align: center;
}

.mkdf-content-aligment-right {
	text-align: right;
}

@include laptop-landscape-medium {
    
    .mkdf-disabled-bg-image-bellow-1280 {
        background-image: none !important;
    }
}

@include ipad-landscape {
    
    .mkdf-disabled-bg-image-bellow-1024 {
        background-image: none !important;
    }
}

@include ipad-portrait {
    
    .mkdf-disabled-bg-image-bellow-768 {
        background-image: none !important;
    }
}

@include phone-landscape {
    
    .mkdf-disabled-bg-image-bellow-680 {
        background-image: none !important;
    }
}

@include phone-portrait {
    
    .mkdf-disabled-bg-image-bellow-480 {
        background-image: none !important;
    }
}

.mkdf-parallax-row-holder {
	position: static;
	padding: 0;
	background-repeat: no-repeat;
	background-color: transparent;
	background-position: center 0;
	background-attachment: fixed;
	overflow: hidden;
    transform: translateZ(0);
	
	@include ipad-landscape {
		height: auto !important;
		min-height: 200px !important;
		background-position: center top !important;
		background-attachment: scroll;
		background-size: cover;
	}
}
/* ==========================================================================
   #Row styles - end
   ========================================================================== */

/* ==========================================================================
   #VC Revolution Slider styles - begin
   ========================================================================== */

.mkdf-rev-has-paspartu {
	@include mkdfRelativeHolderLayout();
	height: 100%;
	margin: 0;
	box-sizing: border-box;
	
	&.mkdf-side-paspartu-disabled {
		padding-left: 0 !important;
		padding-right: 0 !important;
	}
	
	&.mkdf-paspartu-tiny {
		padding: 10px;
		
		&.mkdf-top-paspartu-disabled {
			padding-top: 0;
			
			.forcefullwidth_wrapper_tp_banner {
				
				.tp-fullwidth-forcer {
					height: calc(100vh - 10px) !important;
					
					.admin-bar & {
						height: calc(100vh - 42px) !important;
					}
				}
			}
		}
		
		.forcefullwidth_wrapper_tp_banner {
			
			.tp-fullwidth-forcer {
				height: calc(100vh - 20px) !important;
				
				.admin-bar & {
					height: calc(100vh - 52px) !important;
				}
			}
		}
	}
	
	&.mkdf-paspartu-small {
		padding: 20px;
		
		&.mkdf-top-paspartu-disabled {
			padding-top: 0;
			
			.forcefullwidth_wrapper_tp_banner {
				
				.tp-fullwidth-forcer {
					height: calc(100vh - 20px) !important;
					
					.admin-bar & {
						height: calc(100vh - 52px) !important;
					}
				}
			}
		}
		
		.forcefullwidth_wrapper_tp_banner {
			
			.tp-fullwidth-forcer {
				height: calc(100vh - 40px) !important;
				
				.admin-bar & {
					height: calc(100vh - 72px) !important;
				}
			}
		}
	}
	
	&.mkdf-paspartu-normal {
		padding: 30px;
		
		&.mkdf-top-paspartu-disabled {
			padding-top: 0;
			
			.forcefullwidth_wrapper_tp_banner {
				
				.tp-fullwidth-forcer {
					height: calc(100vh - 30px) !important;
					
					.admin-bar & {
						height: calc(100vh - 62px) !important;
					}
				}
			}
		}
		
		.forcefullwidth_wrapper_tp_banner {
			
			.tp-fullwidth-forcer {
				height: calc(100vh - 60px) !important;
				
				.admin-bar & {
					height: calc(100vh - 92px) !important;
				}
			}
		}
		
		@include phone-landscape {
			padding: 20px;
			
			&.mkdf-top-paspartu-disabled {
				padding-top: 0;
				
				.forcefullwidth_wrapper_tp_banner {
					
					.tp-fullwidth-forcer {
						height: calc(100vh - 20px) !important;
						
						.admin-bar & {
							height: calc(100vh - 52px) !important;
						}
					}
				}
			}
			
			.forcefullwidth_wrapper_tp_banner {
				
				.tp-fullwidth-forcer {
					height: calc(100vh - 40px) !important;
					
					.admin-bar & {
						height: calc(100vh - 72px) !important;
					}
				}
			}
			
		}
	}
	
	&.mkdf-paspartu-large {
		padding: 50px;
		
		&.mkdf-top-paspartu-disabled {
			padding-top: 0;
			
			.forcefullwidth_wrapper_tp_banner {
				
				.tp-fullwidth-forcer {
					height: calc(100vh - 50px) !important;
					
					.admin-bar & {
						height: calc(100vh - 82px) !important;
					}
				}
			}
		}
		
		.forcefullwidth_wrapper_tp_banner {
			
			.tp-fullwidth-forcer {
				height: calc(100vh - 100px) !important;
				
				.admin-bar & {
					height: calc(100vh - 132px) !important;
				}
			}
		}
		
		@include phone-landscape {
			padding: 20px;
			
			&.mkdf-top-paspartu-disabled {
				padding-top: 0;
				
				.forcefullwidth_wrapper_tp_banner {
					
					.tp-fullwidth-forcer {
						height: calc(100vh - 20px) !important;
						
						.admin-bar & {
							height: calc(100vh - 52px) !important;
						}
					}
				}
			}
			
			.forcefullwidth_wrapper_tp_banner {
				
				.tp-fullwidth-forcer {
					height: calc(100vh - 40px) !important;
					
					.admin-bar & {
						height: calc(100vh - 72px) !important;
					}
				}
			}
			
		}
	}
	
    .forcefullwidth_wrapper_tp_banner {
        width: 100% !important;
        left: 0 !important;
	
	    .rev_slider_wrapper {
		    left: 0 !important;
		    width: 100% !important;
		    height: 100% !important;
	    }
	    
	    .tp-fullwidth-forcer {
		    height: 100vh !important;
		
		    .admin-bar & {
			    height: calc(100vh - 32px) !important;
		    }
	    }
    }
}

/* ==========================================================================
   #VC Revolution Slider styles - end
   ========================================================================== */

/* ==========================================================================
   #Screen reader text - begin
   ========================================================================== */

/* Text meant only for screen readers. */
.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute !important;
    height: 1px;
    width: 1px;
    overflow: hidden;
    
    &:focus {
	    clip: auto !important;
	    display: block;
	    top: 5px;
	    left: 5px;
	    width: auto;
	    height: auto;
	    padding: 15px 23px 14px;
	    color: #21759b;
	    font-size: 14px;
	    font-weight: bold;
	    line-height: normal;
	    text-decoration: none;
	    background-color: #f1f1f1;
	    border-radius: 3px;
	    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
        z-index: 100000; /* Above WP toolbar. */
    }
}
/* ==========================================================================
   #Screen reader text - end
   ========================================================================== */